rb_block_struct Struct Reference

`#include <vm_core.h>`

## Data Fields

VALUE | self
VALUE * | lfp
VALUE * | dfp
rb_iseq_t * | iseq
VALUE | proc

## Detailed Description

Definition at line 345 of file vm_core.h.

## Field Documentation

VALUE* rb_block_struct::dfp

Definition at line 348 of file vm_core.h.

Referenced by check_env(), invoke_block_from_c(), rb_vm_make_proc(), rb_vmdebug_proc_dump_raw(), vm_cref_push(), vm_invoke_block(), vm_make_env_each(), vm_set_eval_stack(), and vm_yield_with_cfunc().

rb_iseq_t* rb_block_struct::iseq

Definition at line 349 of file vm_core.h.

Referenced by caller_setup_args(), collect_local_variables_in_env(), env_alloc(), env_mark(), eval_string_with_cref(), invoke_block_from_c(), iseq_s_disasm(), m_core_set_postexe(), proc_binding(), proc_call(), proc_eq(), proc_hash(), proc_mark(), proc_to_s(), rb_dvar_defined(), rb_iseq_compile_with_option(), rb_iseq_new_main(), rb_iterate(), rb_local_defined(), rb_mod_define_method(), rb_proc_arity(), rb_proc_get_iseq(), rb_vm_make_proc(), vm_cref_push(), vm_invoke_block(), vm_make_env_each(), and vm_yield_with_cfunc().

VALUE* rb_block_struct::lfp

Definition at line 347 of file vm_core.h.

Referenced by check_env(), invoke_block_from_c(), proc_hash(), rb_fiber_start(), rb_vm_make_proc(), rb_vmdebug_proc_dump_raw(), thread_start_func_2(), vm_cref_push(), vm_invoke_block(), vm_make_env_each(), vm_set_eval_stack(), and vm_yield_with_cfunc().

VALUE rb_block_struct::proc

Definition at line 350 of file vm_core.h.

Referenced by caller_setup_args(), env_mark(), invoke_block_from_c(), m_core_set_postexe(), proc_dup(), proc_mark(), proc_new(), rb_iterate(), rb_vm_make_proc(), vm_callee_setup_arg_complex(), vm_invoke_block(), vm_make_proc_from_block(), vm_yield_setup_block_args(), and vm_yield_with_cfunc().

VALUE rb_block_struct::self

Definition at line 346 of file vm_core.h.

Referenced by env_mark(), eval_string_with_cref(), proc_call(), proc_mark(), rb_fiber_start(), rb_proc_call(), rb_proc_call_with_block(), rb_vm_make_proc(), rb_vmdebug_proc_dump_raw(), thread_start_func_2(), vm_call0(), vm_call_method(), vm_invoke_block(), vm_make_env_each(), vm_set_eval_stack(), vm_yield(), vm_yield_with_cref(), and yield_under().

The documentation for this struct was generated from the following file:

- vm_core.h